* Starter med å se på Norge*
use "/Users/sofiebakke/Downloads/data2901-Norway.dta"

// Dummykoder
gen Dpct_disadv=0 if pct_disadv!=.
replace Dpct_disadv=1 if pct_disadv==1
gen Dpar_emp=0 if par_emp!=.
replace Dpar_emp=1 if par_emp<=3
gen Dpar_edu=0 if par_edu!=.
replace Dpar_edu=1 if par_edu<=3
gen Dbooks=0 if books_home!=.
replace Dbooks=1 if books_home>=3
*pc_class er ferdig dummykodet, read beholdes på kontinuerlig form

// Deskriptiv statistikk
sum read Dpar_emp Dpar_edu Dpct_disadv Dbooks pc_class

// Regresjonsanalyse
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Blokkvis regresjonsanalyse
nestreg:reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Tar en Breusch-Pagan test
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks
estat hettest






* Ser så på Argentina
use "/Users/sofiebakke/Downloads/data2901-Argentina.dta"

// Dummykoder
gen Dpct_disadv=0 if pct_disadv!=.
replace Dpct_disadv=1 if pct_disadv==1
gen Dpar_emp=0 if par_emp!=.
replace Dpar_emp=1 if par_emp<=3
gen Dpar_edu=0 if par_edu!=.
replace Dpar_edu=1 if par_edu<=3
gen Dbooks=0 if books_home!=.
replace Dbooks=1 if books_home>=3
*pc_class er ferdig dummykodet, read beholdes på kontinuerlig form

// Deskriptiv statistikk
sum read Dpar_emp Dpar_edu Dpct_disadv Dbooks pc_class

// Regresjonsanalyse
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Blokkvis regresjonsanalyse
nestreg:reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Tar en Breusch-Pagan test
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks
estat hettest






* Ser så på Colombia
use "/Users/sofiebakke/Downloads/data2901-Colombia.dta"

// Dummykoder
gen Dpct_disadv=0 if pct_disadv!=.
replace Dpct_disadv=1 if pct_disadv==1
gen Dpar_emp=0 if par_emp!=.
replace Dpar_emp=1 if par_emp<=3
gen Dpar_edu=0 if par_edu!=.
replace Dpar_edu=1 if par_edu<=3
gen Dbooks=0 if books_home!=.
replace Dbooks=1 if books_home>=3
*pc_class er ferdig dummykodet, read beholdes på kontinuerlig form

// Deskriptiv statistikk
sum read Dpar_emp Dpar_edu Dpct_disadv Dbooks pc_class

// Regresjonsanalyse
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Blokkvis regresjonsanalyse
nestreg:reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks

// Tar en Breusch-Pagan test
reg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks
estat hettest

// Tar en robust regresjonsanalyse
rreg read Dpct_disadv Dpar_emp Dpar_edu pc_class Dbooks


